Subject: tar for NFSv4

From: [email-masked]
Date: Fri, 31 May 2002 10:36:59 -0400 (EDT)

I had actually assumed that he meant a program that read/wrote tar archives
on one side and was an NFSv4 client on the other. (Faster for large scale
archives than going through the OS, maybe? Might also be able to use the
compound RPC more effectively.)

To me, one of the big gotchas w.r.t. the NFSv4 protocol is that the current
through the OS file switch client can't use the compound RPC that effectively,
since it only sees the system calls and not the bigger picture of what the
program is trying to do with the file system.

Anyhow, the above sounds like an interesting project to me, but I agree it
is probably beyond the scope of the protocol design. (Maybe such a tar piped
across the net would be useful for your migration protocol?)

Just my $0.00, rick